import { defineConfig } from 'vite';
import vue from '@vitejs/plugin-vue';

export default defineConfig({
  plugins: [vue()],
  mode: 'development',
  resolve: {
    alias: {
      '@': '/src'
    }
  },
  server: {
    port: 5000,
    watch: {
      usePolling: true,
    },
    hmr: {
      protocol: 'ws',
      host: 'localhost',
      port: 5000,
    }
  },
});
